Description

Except in the gantts view, in all query based views the edit and delete buttons are placed inside the buttons section

(apply/clear/save) under the filters and options.

I think the gantts view should be aligned to the common UI pattern, as well.

In the submitted patch the yet empty contextual area is left inside the view as it breaks the tests and I don't know if it should be left to

make further modifications easier.
Related issues:

Related to Redmine - Patch #26125: Unify form#query_form on calendar/gantt vi... Closed

Associated revisions

Revision 17413 - 2018-06-24 03:53 - Go MAEDA

Move edit and delete buttons for queries to the buttons section (#28602).

Patch by Bernhard Rohloff.

History

#1 - 2018-04-22 10:13 - Marius BĂLTEANU

- Related to Patch #26125: Unify form#query_form on calendar/gantt views with issues/spent time views added

#2 - 2018-04-22 10:13 - Marius BĂLTEANU

It'll be nice to deliver this change along with #26125.

#3 - 2018-04-25 08:02 - Go MAEDA

- Target version set to Candidate for next major release

+1

The buttons on issues list page were moved in r15344. To make the UI consistent, I think also the buttons on gantt page should be moved to below

the filters.

#4 - 2018-04-29 08:01 - Marius BĂLTEANU

Bernhard Rohloff wrote:

In the submitted patch the yet empty contextual area is left inside the view as it breaks the tests and I don't know if it should be left to make

further modifications easier.

 I'm in favour of removing the empty contextual element and update the tests accordingly.

#5 - 2018-04-29 10:27 - Go MAEDA

Marius BALTEANU wrote:

Bernhard Rohloff wrote:
https://www.redmine.org/issues/26125
https://www.redmine.org/projects/redmine/repository/svn/revisions/15344


In the submitted patch the yet empty contextual area is left inside the view as it breaks the tests and I don't know if it should be left to make

further modifications easier.

 I'm in favour of removing the empty contextual element and update the tests accordingly.

 I am concerned that removing the div.contextual may affect some plugins which insert custom tags into the area.

#6 - 2018-05-08 13:15 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting target version to 4.1.0.

#7 - 2018-06-24 03:53 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed. Thank you for improving Redmine.

#8 - 2018-06-24 03:53 - Go MAEDA

- Subject changed from [Gantt] Move edit and delete buttons for queries to the buttons section to Move edit and delete buttons for queries to the

buttons section
